# $Id: __init__.py,v 1.2 2003/06/15 13:02:45 peter Exp $

""" Package IGSCP

Overview:
This package contains a simple reference implementation for an IGSCP parser.
It is not meant to replace a real client but to give an overview of the
IGSCP features and an example for a parser implementation. """


#
# Namespaces
#
IGSCP_NAMESPACE_INFO    = 'INFO'
IGSCP_NAMESPACE_MARK    = 'MARK'
IGSCP_NAMESPACE_CONTROL = 'CONTROL'
IGSCP_NAMESPACE_MOVE    = 'MOVE'

#
# Common IGSCP defines
#
IGSCP_VERSION  = '0.1'
IGSCP_CLIENT   = 'PhytonTest'
IGSCP_FEATURES = IGSCP_NAMESPACE_MARK

#
# Error codes
#
IGSCP_ERROR_INVALID_NAMESPACE       = 1
IGSCP_ERROR_NAMESPACE_NOT_SUPPORTED = 2
IGSCP_ERROR_UNKNOWN_COMMAND         = 3
IGSCP_ERROR_MISSING_COMMAND_PART    = 4
IGSCP_ERROR_MISSING_ARGUMENTS       = 5
IGSCP_ERROR_INVALID_ARGUMENTS       = 6

#
# Execution control
#
debug_level = 0
