# $Id: commandline.py,v 1.2 2003/06/15 13:03:07 peter Exp $

""" Module for parsing commandline parameters for the server and client. """


import __init__, IGSCP.__init__

#
# Parse commandline arguments
#
# Returns: 0 if the script should be quit
#          An integer != 0 to specify an alternate port to be used for the socket
#
def parse_commandline(args):
    if not args or not len(args):
        return

    if args[0] == '-v' or args[0] == '-version' or args[0] == '--version':
        print 'IGSCPDemo %s' % __init__.VERSION
    elif args[0] == '-p' or args[0] == '-protocol' or args[0] == '--protocol':
        print 'IGSCP version %s' % IGSCP.__init__.IGSCP_VERSION
    elif args[0] == '-b' or args[0] == '-bind' or args[0] == '--bind':
        try:
            return int(args[1])
        except IndexError:
            print 'You need to specify a port for the bind parameter.'
            return 0
        except ValueError:
            print 'You need to specify an interger value for the bound port.'
            return 0
    elif args[0] == '-h' or args[0] == '-help' or args[0] == '--help':
        print __init__.USAGE
    else:
        print __init__.USAGE

    return 0
